Bug 349681 - applet crash at login
applet crash at login
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: NM07Tracker
  Show dependency treegraph
 
Reported: 2007-10-23 18:26 EDT by Matthias Clasen
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 16:09:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (28.35 KB, image/png)
2007-10-23 18:26 EDT, Matthias Clasen
no flags Details

  None (edit)
Description Matthias Clasen 2007-10-23 18:26:13 EDT
When I log in with the daemon already running, the applet crashes:

Memory status: size: 34725888 vsize: 34725888 resident: 13094912 share: 9547776
rss: 13094912 rss_rlim: 4294967295
CPU usage: start_time: 1193177511 rtime: 61 utime: 50 stime: 11 cutime:0 cstime:
0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/nm-applet'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208264944 (LWP 6938)]
0x00110402 in __kernel_vsyscall ()
#0  0x00110402 in __kernel_vsyscall ()
#1  0x00c70453 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x00cf1a57 in IA__g_spawn_sync (working_directory=0x0, argv=0x8f62f88,
    envp=0x0, flags=G_SPAWN_SEARCH_PATH, child_setup=0, user_data=0x0,
    standard_output=0x0, standard_error=0x0, exit_status=0x0, error=0x8ec9268)
    at gspawn.c:369
#3  0x00cf1d6c in IA__g_spawn_command_line_sync (
    command_line=0x8f2bb90 "bug-buddy --appname=\"nm-applet\" --pid=6938",
    standard_output=0x0, standard_error=0x0, exit_status=0x0, error=0x8ec9268)
    at gspawn.c:677
#4  0x00ed7360 in run_bug_buddy (appname=0x8eae1c8 "nm-applet",
    pid=<value optimized out>, minidump_path=<value optimized out>)
    at gnome-breakpad.cc:211
#5  0x00ed7671 in check_if_gdb (callback_context=0x0) at gnome-breakpad.cc:281
#6  0x00ed7b83 in google_breakpad::ExceptionHandler::InternalWriteMinidump (
    this=0xee19e0, signo=11, sighandler_ebp=149726968, sig_ctx=0x8eca6e4)
    at ../google-breakpad/src/client/linux/handler/exception_handler.cc:225
#7  0x00ed808e in google_breakpad::ExceptionHandler::HandleException (
    signo=11)
    at ../google-breakpad/src/client/linux/handler/exception_handler.cc:196
#8  <signal handler called>
#9  0x00b45bca in strcmp () from /lib/libc.so.6
#10 0x0805398f in add_seen_bssid (connection=<value optimized out>,
    ap=<value optimized out>) at applet.c:2560
#11 0x08054076 in foo_device_state_changed (device=<value optimized out>,
    state=NM_DEVICE_STATE_ACTIVATED, user_data=<value optimized out>,
    synthetic=1) at applet.c:2394
#12 0x08054436 in nma_status_icon_size_changed_cb (icon=0x8f02788, size=28,
    applet=0x8ed40c0) at applet.c:1925
#13 0x0032f462 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x00d82f83 in IA__g_closure_invoke (closure=0x8f14c30,
    return_value=0xbfe52560, n_param_values=2, param_values=0xbfe5263c,
    invocation_hint=0xbfe5254c) at gclosure.c:490
#15 0x00d9348d in signal_emit_unlocked_R (node=0x8f00180, detail=0,
    instance=0x8f02788, emission_return=0xbfe527fc,
    instance_and_params=0xbfe5263c) at gsignal.c:2440
#16 0x00d9475f in IA__g_signal_emit_valist (instance=0x8f02788,
    signal_id=137, detail=0, var_args=<value optimized out>) at gsignal.c:2209
#17 0x00d94b59 in IA__g_signal_emit (instance=0x8f02788, signal_id=137,
    detail=0) at gsignal.c:2243
#18 0x003b26de in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#19 0x00d8fa79 in IA__g_cclosure_marshal_VOID__BOXED (closure=0x8f154e8,
    return_value=0x0, n_param_values=2, param_values=0xbfe52aec,
    invocation_hint=0xbfe529fc, marshal_data=0x3b25e0) at gmarshal.c:566
#20 0x00d82f83 in IA__g_closure_invoke (closure=0x8f154e8, return_value=0x0,
    n_param_values=2, param_values=0xbfe52aec, invocation_hint=0xbfe529fc)
    at gclosure.c:490

This is with NetworkManager-0.7.0-0.3.svn3014.fc8

I also see a problem if I start the applet before the service. The connection is
established, but the menuitem for the ap is not selected (see screenshot). In
this state, trying to establish a vpn connection does nothing.
Comment 1 Matthias Clasen 2007-10-23 18:26:13 EDT
Created attachment 235651 [details]
screenshot
Comment 2 Matthias Clasen 2007-10-23 20:30:30 EDT
Here is what I get in xsession-errors after adding some debug printfs to the
code in question:

** (nm-applet:20052): WARNING **: Error in get_property: Method "Get" with
signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist


** (nm-applet:20052): WARNING **: Error in get_property: Method "Get" with
signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist


** (nm-applet:20052): WARNING **: Error in get_property: Method "Get" with
signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist


** (nm-applet:20052): WARNING **: Error in get_property: Method "Get" with
signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist



(nm-applet:20052): GLib-CRITICAL **: g_ascii_strdown: assertion `str != NULL' failed
hw address: (null), bssid: (null)
seen bssid: 00:13:10:d1:73:ee



Comment 3 Dan Williams 2007-10-24 10:48:45 EDT
svn3016 from rawhide should fix this actually (well, work around it by restoring
the previous seen-bssid emitting behavior in NM) and I'll get the real fix into
the next build.  Could you test with svn3016?
Comment 4 Matthias Clasen 2007-10-24 16:09:56 EDT
3016 seems to fix it, in very cursory testing.

Note You need to log in before you can comment on or make changes to this bug.